html:target {
    scroll-behavior: auto;
}

:root {
     /* Primary color */ /* #007bff  #009488*/
    --bs-primary: #009488;  /* var(--bs-primary); */
    --bs-primary-dark: color-mix(in srgb, var(--bs-primary) 70%, black 30%); /* var(--primary-dark); */
    --bs-primary-lighten: color-mix(in srgb, var(--bs-primary) 5%, white 100%); /* var(--bs-primary-lighten); */
    /* If darken doe,snt work */
    /*--bs-primary-dark: #000; /* var(--primary-dark); */
    --bs-gradient: linear-gradient(-45deg, var(--bs-primary-dark) 0%, var(--bs-primary) 100%); /* var(--bs-gradient); */
    --text: #171b25; /* var(--text); */
    --secondary: #c1c1c1; /* var(--secondary); */
}

.text-primary {
    color: var(--bs-primary) !important;
}

.bg-primary {
  background-color: var(--bs-primary) !important;
}

.btn-primary {
    background-color: var(--bs-primary);
    border-color: var(--bs-primary);
}

.btn-primary:hover,
.btn-primary:focus,
.btn-primary:active,
.btn-primary.active,
.btn-primary.dropdown-toggle.show {
    background-color: var(--bs-primary-dark);
    border-color: var(--bs-primary-dark);
}

.btn-outline-primary {
    color: var(--bs-primary);
    border-color: var(--bs-primary);
}

.btn-outline-primary:hover,
.btn-outline-primary:focus,
.btn-outline-primary:active,
.btn-outline-primary.active,
.btn-outline-primary.dropdown-toggle.show {
    background-color: var(--bs-primary-dark);
    border-color: var(--bs-primary-dark);
}


a.text-primary, a {
    color: var(--bs-primary);
}

a.text-primary:hover, a:hover {
    color: var(--bs-primary-dark);
}

.form-control:focus {
    border-color: var(--bs-primary);
    box-shadow: 0 0 0 0.25rem rgba(var(--bs-primary-rgb), 0.25);
}

.progress-bar{
    background-color: var(--bs-primary);
}
/*
a {
    color: var(--primary);
}

.btn-primary {
    background-color: var(--primary);
    border-color: var(--primary);
}

.btn-primary:hover {
  color: #fff;
  background-color: var(--primary-hover);
}

.btn-outline-primary {
    color: var(--primary);
    border-color: var(--primary);
}

.btn-outline-primary:hover {
    background-color:var(--primary);
    border-color: var(--primary);
}
*/

@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

body {
   /* font-family: 'Roboto', sans-serif;*/
   font-family: sans-serif;
    font-size: 1rem;
    font-weight: 400;
    text-align: left;
    -moz-osx-font-smoothing: grayscale;
    color: var(--text);
}

@media (max-width: 575px) {
    body {
    font-size: 80%;
    }
    .btn {
        font-size: 90%; /* 80% of the base font size */
    }
}

.bg-opacity-10{
    background-color: var(--bs-primary-rgb) !important;
}

.btn-disabled{
    background-color:#e9ecef;
    color: #6c757d;
    cursor: not-allowed;
}

.btn-outline-lighter {
  color: #dee2e6;
}

.btn-outline-lighter:hover {
  color: #fff;
  background-color: #dee2e6;
  border-color: #dee2e6;
}

.vh100{
    min-height: 100vh !important;
}

@media (max-width: 991px) {
    .vh100{
        min-height: unset !important;
    }
}

.bg-primary-gradient {
    background: linear-gradient(to bottom, rgba(5, 155, 138, 0) 0%, rgba(5, 155, 138, 1) 60%, rgba(5, 155, 138, 1) 100%);
}

/* basics grid */
.col1{
    z-index: 1021;
    border-right: 1px solid #dee2e6;
}

@media (max-width: 991px) {
    .col1{
        border-right: 0px;
        border-bottom: 1px solid #dee2e6;
    }
}

.col2{
    min-width: 246px;
    min-height: calc(100vh - 50px);
}

@media (max-width: 768px) {
    .col2{
    min-height: unset;
}
}

.col3{
    /* max-width: 620px; */
    width: calc(50% - 246px);
    -webkit-box-shadow: 0px 0px 20px 16px rgba(0,0,0,0.2);
    -moz-box-shadow: 0px 0px 20px 16px rgba(0,0,0,0.2);
    box-shadow: 0px 0px 20px 16px rgba(0,0,0,0.2);
}

@media (max-width: 991px) {
    .col3{
       /* max-width: 100%; */
       width: 100% !important;
       -webkit-box-shadow: unset;
    -moz-box-shadow: unset;
    box-shadow: unset;
}
    }

.col4{
    width: calc(50% - 246px);
    z-index: -1;
}


.bg-col4 {
    /* background: linear-gradient(-45deg,rgba(0, 148, 136, 1) 0%, rgba(0, 76, 76, 1) 100%);*/
    background: var(--primary);
    background: var(--bs-gradient);
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    background-size: auto 100%;
    background-position: center center;
}

/* topbar */
.top-bar{
font-size: 9px;
text-align: center;
 position: relative;
 z-index: 999 !important;
 padding: 6px;
}

.top-bar img{
 max-height:20px;
 opacity: 0.7;
}

@media (max-width: 575px) {
    .top-bar img{
    max-height:14px;
    opacity: 0.7;
    }
}

/* sidebar */
.nav-link {
    color: #dee2e6;
}

.nav-link.active {
    color: #009488;
}

/* steps nav */
a.nav-steps{
    text-decoration: none;
    color:#878787;
    line-height: 48px;
}

a.nav-steps.active{
    font-weight: bold;
    color: var(--text);
}

a.nav-steps span{
    display: inline-block;
    padding: .35em .65em;
    font-size: .75em;
    font-weight: 700;
    line-height: 1;
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
    border-radius: .25rem;
    background-color: #e9ecef;
}

a.nav-steps.active span {
    border: 1px solid var(--bs-primary) !important;
    color:var(--bs-primary);
    background-color: #fff;
}

a.nav-steps.completed span {
    background-color: var(--bs-primary) !important;
    border: 1px solid var(--bs-primary) !important;
    color:#fff;
}

a.nav-steps.completed.active span {
    color:#fff;
}

.rotate{
    left: 100%;
    width: 340px;
    -webkit-transform-origin: left top;

    -webkit-transform:rotate(90deg);
    -moz-transform:rotate(90deg);
    -ms-transform:rotate(90deg);
    -o-transform:rotate(90deg);
    transform:rotate(90deg);

    top: 15px;
    left: 15px;
    position: absolute;
    z-index: -1;
}

@media (max-width: 768px) {
    .rotate{
        left: 0;
        width: calc(100% - 32px);
        -webkit-transform-origin: left top;
    
        -webkit-transform:rotate(0deg);
        -moz-transform:rotate(0deg);
        -ms-transform:rotate(0deg);
        -o-transform:rotate(0deg);
        transform:rotate(0deg);
    
        top: 10px;
        left: 20px;
        position: absolute;
        z-index: -1;
    }
}

.rotate .progress{
    height: 4px;
}

@media (max-width: 768px) {
    a.nav-steps{
        line-height: 24px;
        font-size: 12px;
        overflow: hidden;
    }

    a.nav-steps span{
        font-size: 14px;
    }
}

@media (max-width: 575px) {
     a.nav-steps{
        line-height: 0px;
        font-size: 0px;
        overflow: hidden;
    }
}

/* / steps nav */

/* container steps col3 */

/* steps scroll position */
@media (max-width: 768px) {
#stap1, #stap2, #stap3, #stap4, #stap5, #stap6, #stap7, #stap8 {
    scroll-margin-top: 50px;
}
/* */
#stap1 {
    margin-top: -30px;
    padding-top: 30px !important;
}
}
.pos-status{
    position: absolute; right: 8px; top: 10px; color: #dee2e6;
}

.pos-status img{
margin-top: -4px;
}

@media (max-width: 576px) {
    .card .card-body .card-title{
        margin-top: 10px;
    }
    .card .card-body{
        margin-bottom: 10px;
    }
}
/* / steps scroll position */

/* card border animation */
.current-step::before, .current-step::after{
  content:"";
  width: 0;
  height: 4px;
  position: absolute;
  transition: all 0.2s linear;
  background: var(--bs-primary) !important;
}

.current-step span::before, .current-step span::after{
  content:"";
  width:4px;
  height:0;
  position: absolute;
  transition: all 0.2s linear;
  background: var(--bs-primary) !important;
}

.current-step.draw::before, .current-step.draw::after{
  width: 100%;
}
.current-step.draw span::before, .current-step.draw span::after{
  height: 100%;
}

/* border animation */
.current-step::after{
  left: 0;
  bottom: 0;
  transition-delay: 0.6s;
}
.current-step span::after{
  transition-delay: 0.4s;
  right: 0;
  bottom: 0
}
.current-step::before{
  right: 0;
  top: 0;
  transition-delay: 0.2s;
}
.current-step span::before{
  transition-delay: 0s;
  left: 0;
  top: 0;
}

.current-step.draw::after{
  transition-delay: 0s;
}
.current-step.draw span::after{
  transition-delay: 0.2s;
}
.current-step.draw::before{
  transition-delay: 0.4s;
}
.current-step.draw span::before{
  transition-delay: 0.6s;
}


/* card design */
.card.inactive {
    background-color: #f8f9fa !important;
    opacity: 0.9;
}

.card.inactive .card-body p {
    opacity: 0.7;
}
/* / container setps */

/* accordion design */
.accordion-button:not(.collapsed) {
    color: #cdebe8;
    background-color: var(--bs-primary);
    box-shadow: inset 0 -1px 0 rgba(0,0,0,.125);
  }

/* To the TOP btn */
.scroll-top-wrapper {
    position: fixed;
    bottom: 30px;
    right: 30px;
    z-index: 9999;

}

@media (max-width: 991px) {
    .scroll-top-wrapper {
        width: unset;
    }
}

/* 
body.modal-open .scroll-top-wrapper {
    right: 45px;
}
*/
.scroll-top {
    width: 50px;
    height: 50px;
    line-height: 50px;
    background: var(--bs-primary);
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    font-size: 15px;
    text-align: center;
    text-decoration: none;
    border-radius: 5px;
    color: #fff !important;
    cursor: pointer;
     -webkit-transition: all .3s ease-out 0s;
    transition: all .3s ease-out 0s;
    border: solid 1px #fff;
}

.scroll-top:hover {
    -webkit-box-shadow: 0 1rem 3rem rgba(35, 38, 45, .15) !important;
    box-shadow: 0 1rem 3rem rgba(35, 38, 45, .15) !important;
    -webkit-transform: translate3d(0, -5px, 0);
    transform: translate3d(0, -5px, 0);
   background: var(--bs-primary-dark);
}

/* END To the TOP btn */
